//+------------------------------------------------------------------+
//|                                                     Momentum.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|                                                  Momentum 2P.mq4 |
//|                                            Copyright  2008, Baz |
//|                                           e-mail: baz_fx@ukr.net |
//+------------------------------------------------------------------+

#property copyright "Copyright  2008, Baz"
#property link      "e-mail: baz_fx@ukr.net"

#property indicator_separate_window

#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_width1 0
#property indicator_color2 MediumBlue
#property indicator_width2 0
#property indicator_level1 100

//---- input parameters
extern int       M1Period=2;
extern int       M2Period=6;


//---- buffers
double MBuffer[];
double Buffer[];
double Buffer2[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Buffer);
   SetIndexLabel(0,"Momentum");
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,Buffer2);
   SetIndexLabel(1,"Momentum2");
   string short_name;
   
//---- name for DataWindow and indicator subwindow label
   short_name="Momentum("+M1Period+","+M2Period+")";
   IndicatorShortName(short_name);
   SetIndexLabel(0,short_name);
//----
   SetIndexDrawBegin (0,(M1Period,M2Period));
  
//----
   

   return(0);
  }
//+------------------------------------------------------------------+
//| Relative Strength Index                                          |
//+------------------------------------------------------------------+
int start()
  {
   int    i,counted_bars=IndicatorCounted();
   int limit;
   //----
   limit=Bars-counted_bars;
   
   for(i=0;i<limit;i++)   
   {     
      MBuffer[i]=iMomentum(NULL,0,12,0,i);
   }   
         
     for(i=0;i<limit;i++)   
   {     
      Buffer[i]=iMAOnArray(MBuffer,Bars,M1Period,0,MODE_SMA,i);
   }   
   for(i=0;i<limit;i++)
   {      
      Buffer2[i]=iMAOnArray(Buffer,Bars,M2Period,0,MODE_SMA,i);
   }
      
 
//----
   return(0);
  }
//+------------------------------------------------------------------+